Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
metrics = client.dns.metrics.list()
print(metrics)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
metrics, err := client.DNS.Metrics.List(context.TODO(), dns.MetricListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", metrics)
}
curl --request GET \
--url https://api.gcore.com/dns/v2/monitor/metrics \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/monitor/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Metrics
Get monitors state in metrics (prometheus) format for authorized user.
Example of success response:
HELP healthcheck_state The `healthcheck_state` metric reflects the state of a specific monitor after conducting a health check
TYPE healthcheck_state gauge
healthcheck_state{client_id="1",monitor_id="431",monitor_locations="us-east-1,us-west-1",monitor_name="test-monitor-1",monitor_type="http",rrset_name="rrset-name1",rrset_type="rrset-type1",zone_name="zone-name1"} 0
healthcheck_state{client_id="1",monitor_id="4871",monitor_locations="fr-1,fr-2",monitor_name="test-monitor-2",monitor_type="tcp",rrset_name="rrset-name2",rrset_type="rrset-type2",zone_name="zone-name2"} 1
healthcheck_state{client_id="2",monitor_id="7123",monitor_locations="ua-1,ua-2",monitor_name="test-monitor-3",monitor_type="icmp",rrset_name="rrset-name3",rrset_type="rrset-type3",zone_name="zone-name3"} 0
GET
/
dns
/
v2
/
monitor
/
metrics
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
metrics = client.dns.metrics.list()
print(metrics)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
metrics, err := client.DNS.Metrics.List(context.TODO(), dns.MetricListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", metrics)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Admin and technical user can specify client_id to get metrics for particular client.
Ignored for client
Admin and technical user can specify monitor_id to get metrics for particular zone.
Ignored for client
Response
200 - plain/text
OK
The response is of type string.
Was this page helpful?